PackageManagerFancy Class Reference
Inheritance diagram for PackageManagerFancy:
[legend]
Collaboration diagram for PackageManagerFancy:
[legend]

## Classes

struct | TermSize

## Public Member Functions

void | Pulse () override
void | Start (int child_pty=-1) override
void | Stop () override
bool | StatusChanged (std::string PackageName, unsigned int StepsDone, unsigned int TotalSteps, std::string HumanReadableAction) override
Public Member Functions inherited from PackageManager
virtual void | StartDpkg ()
virtual pid_t | fork ()
virtual long | GetPulseInterval ()
virtual void | Error (std::string, unsigned int, unsigned int, std::string)
virtual void | ConffilePrompt (std::string, unsigned int, unsigned int, std::string)

## Static Public Member Functions

static std::string | GetTextProgressStr (float percent, int OutputSize)

## Protected Member Functions

void | SetupTerminalScrollArea (int nr_rows)
void | HandleSIGWINCH (int)
TermSize | GetTerminalSize ()

## Protected Attributes

sighandler_t | old_SIGWINCH
int | child_pty
Protected Attributes inherited from PackageManager
std::string | progress_str
float | percentage
int | last_reported_progress

## Member Function Documentation

## GetTerminalSize()

PackageManagerFancy::TermSize GetTerminalSize | ( |  | ) |

protected

Todo
  get from "child_pty" instead?

## Pulse()

void Pulse | ( |  | ) |

override virtual

Reimplemented from PackageManager.

## Start()

void Start | ( | int | child_pty = -1 | ) |

override virtual

Reimplemented from PackageManager.

## StatusChanged()

bool StatusChanged | ( | std::string | PackageName,
|  | unsigned int | StepsDone,
|  | unsigned int | TotalSteps,
|  | std::string | HumanReadableAction )

override virtual

Reimplemented from PackageManager.

## Stop()

void Stop | ( |  | ) |

override virtual

Reimplemented from PackageManager.

The documentation for this class was generated from the following files:

- apt-pkg/install-progress.h
- apt-pkg/install-progress.cc